<?php



namespace ln\listens;

use app\common\repositories\store\ExcelRepository;
use ln\services\TimerService;
use Swoole\Timer;
use think\facade\Log;
use ln\interfaces\ListenerInterface;

class ExcelFileDelListen extends TimerService implements ListenerInterface
{
    public function handle($event): void
    {
        $this->tick(1000 * 60 * 60, function () {
            $make = app()->make(ExcelRepository::class);
            $time = date('Y-m-d H:i:s', strtotime("-" . 3 . " day"));
            $data = $make->getDelByTime($time);
            foreach ($data as $id => $path) {
                try {
                    $make->del($id, $path);
                } catch (\Exception $e) {
                    Log::info('自动删除导出文件失败' . var_export($id, true));
                }
            }
        });
    }
}
